import 'package:flutter/widgets.dart';
import 'package:leancode_localization/src/storages/locale_storage.dart';

class MemoryLocaleStorage extends LocaleStorage {
  MemoryLocaleStorage([this._current]);

  Locale _current;

  @override
  Future<Locale> getLocale() {
    return Future.value(_current);
  }

  @override
  Future<void> setLocale(Locale locale) async {
    _current = locale;
  }
}
