import 'dart:ui';

typedef Translate = String Function(String);

abstract class Translator {
  const Translator(this.locale);
  final Locale locale;

  Future<void> load();
  String translate(String key);
}
